Admin Create Content Node
curl --request POST \
--url https://api.member.dev/api/v1/teams/{team_id}/hubs/{hub_id}/content/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"attributes": {
"node_type": "<string>",
"title": "<string>",
"content_type": "<string>",
"description": "<string>",
"legacy_hash": "<string>",
"media_id": "<string>",
"meta": {},
"parent_id": "<string>",
"position": 0,
"privacy": "members",
"published_at": "2023-11-07T05:31:56Z",
"slug": "<string>"
},
"type": "content_nodes"
}
}
'import requests
url = "https://api.member.dev/api/v1/teams/{team_id}/hubs/{hub_id}/content/"
payload = { "data": {
"attributes": {
"node_type": "<string>",
"title": "<string>",
"content_type": "<string>",
"description": "<string>",
"legacy_hash": "<string>",
"media_id": "<string>",
"meta": {},
"parent_id": "<string>",
"position": 0,
"privacy": "members",
"published_at": "2023-11-07T05:31:56Z",
"slug": "<string>"
},
"type": "content_nodes"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({
data: {
attributes: {
node_type: '<string>',
title: '<string>',
content_type: '<string>',
description: '<string>',
legacy_hash: '<string>',
media_id: '<string>',
meta: {},
parent_id: '<string>',
position: 0,
privacy: 'members',
published_at: '2023-11-07T05:31:56Z',
slug: '<string>'
},
type: 'content_nodes'
}
})
};
fetch('https://api.member.dev/api/v1/teams/{team_id}/hubs/{hub_id}/content/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"attributes": {
"content_type": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"hub_id": "<string>",
"legacy_hash": "<string>",
"media_id": "<string>",
"meta": {},
"node_type": "<string>",
"parent_id": "<string>",
"position": 123,
"privacy": "<string>",
"published_at": "2023-11-07T05:31:56Z",
"slug": "<string>",
"team_id": "<string>",
"title": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"attachments": [
{
"id": "<string>",
"media_id": "<string>",
"role": "<string>",
"file_id": "<string>",
"filename": "<string>",
"mime_type": "<string>",
"size_bytes": 123,
"url": "<string>"
}
],
"available_at": "2023-11-07T05:31:56Z",
"can_access": true,
"comment_count": 0,
"cover_url": "<string>",
"cover_url_expires_at": "2023-11-07T05:31:56Z",
"duration_seconds": 123,
"file_id": "<string>",
"is_saved": false,
"scheduled_at": "2023-11-07T05:31:56Z",
"unique_viewer_count": 1
},
"id": "<string>",
"type": "content_nodes"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}content-admin
Admin Create Content Node
Create a new content node in the hub tree.
POST
/
api
/
v1
/
teams
/
{team_id}
/
hubs
/
{hub_id}
/
content
/
Admin Create Content Node
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/vnd.api+json
Show child attributes
Show child attributes
Response
Successful Response
Show child attributes
Show child attributes
⌘I